Subject: bug#17137: autoload-generate-file-autoloads should respect finder--builtins-alist

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Mar 2014 15:40:17 -0400

>>> (push (purecopy '(project-am 0 0 3)) package--builtin-versions)
>>> in loaddefs.el, from ede/project-am.el.
>>> This file should be associated with the ede package,
>> Then the file should have a "Package: ede" header.  Or it should not
>> have a "Version:" header.
> As I see it, finder.el has already solved this problem, without
> requiring changes in the individual files that make up a package.

Then maybe autoload.el could use that same approach.  I know nothing
about it, so I can't judge.

I also remember now that maybe autoload-generate-file-autoloads should
simply use autoload-file-load-name instead of file-name-nondirectory.

        Stefan